Bug 1662150 - [RFE][Hammer/Errata/module streams] - Need to add module streams in hammer o/p for "host errata info"
Summary: [RFE][Hammer/Errata/module streams] - Need to add module streams in hammer o/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer - Content
Version: 6.5.0
Hardware: All
OS: All
unspecified
low vote
Target Milestone: Released
Assignee: Partha Aji
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-26 12:58 UTC by Omkar Khatavkar
Modified: 2019-10-07 17:20 UTC (History)
1 user (show)

Fixed In Version: tfm-rubygem-hammer_cli_katello-0.16.0.5-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:45 UTC
Foreman Issue Tracker 25845 None None None 2019-01-11 22:12:05 UTC

Description Omkar Khatavkar 2018-12-26 12:58:29 UTC
Description of problem:
Need to add module streams in hammer o/p for "host errata info"

Version-Release number of selected component (if applicable):
6.5 Snap 8

How reproducible:
always

Steps to Reproduce:
> hammer> host errata info --host-id 5 --id RHEA-2012:0059
Title:            Duck_Kangaroo_Erratum
Description:      Duck_Kangaro_Erratum description
ID:               596
Errata ID:        RHEA-2012:0059
Reboot Suggested: false
Updated:          2018-07-20
Issued:           2018-01-27
Solution:         
Packages:


Actual results:
Module Streams Packages not added in output 

Expected results:
Module Streams Packages should also be added here in output 

Additional info:

Comment 5 Partha Aji 2019-01-11 22:12:04 UTC
Connecting redmine issue https://projects.theforeman.org/issues/25845 from this bug

Comment 6 Bryan Kearney 2019-01-15 09:02:38 UTC
Upstream bug assigned to paji@redhat.com

Comment 7 Bryan Kearney 2019-01-15 09:02:39 UTC
Upstream bug assigned to paji@redhat.com

Comment 8 Bryan Kearney 2019-01-15 09:03:31 UTC
Upstream bug assigned to paji@redhat.com

Comment 9 Bryan Kearney 2019-01-15 09:03:32 UTC
Upstream bug assigned to paji@redhat.com

Comment 10 Bryan Kearney 2019-01-15 09:04:31 UTC
Upstream bug assigned to paji@redhat.com

Comment 11 Bryan Kearney 2019-01-15 09:04:32 UTC
Upstream bug assigned to paji@redhat.com

Comment 12 Bryan Kearney 2019-01-18 15:02:34 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25845 has been resolved.

Comment 14 Omkar Khatavkar 2019-01-30 12:07:29 UTC
Verified with Satellite 6.5 with Snap 12, Issue is fixed as Module Streams packages are displayed. hence marking as verified.

hammer> host errata info --host-id 7 --id RHEA-2012:0059
Title:            Duck_Kangaroo_Erratum
Description:      Duck_Kangaro_Erratum description
ID:               8155
Errata ID:        RHEA-2012:0059
Reboot Suggested: false
Updated:          2018-07-20
Issued:           2018-01-27
Solution:         
Packages:         
Module Streams:   
 1) Name:     duck
    Stream:   0
    Packages: duck-0.7-1.noarch
 2) Name:     kangaroo
    Stream:   0
    Packages: kangaroo-0.3-1.noarch

Comment 17 errata-xmlrpc 2019-05-14 12:39:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.